Subject: CFC: A2Xpansion FAQ v0.2.1 (1 of 2)
From: [email-masked] (Deven D. Atkinson)
Date: 11 Oct 1996 01:44:45 GMT
Newsgroups: comp.sys.apple2

APPLE II EXPANSION, FREQUENTLY ASKED QUESTIONS
Version 0.2.1  **DRAFT**
10 October 1996

Part 1 of 2 - General Information and Descriptions

Compiled by:  Deven D. Atkinson  ([email-masked])

AUTHOR'S NOTES:
  It has been almost a year since my last post of the
A2Xpansion FAQ.  I'm back.  Those who want to know where I
have been or who want to hear a rant about the "shutdown" of
parts of the US Government last December (and how they are
both related) e-mail me.

  For those that have joined comp.sys.apple2 in the last
year, let be give a brief overview of this project.
  It is in answer to variations of two basic questions:
"What is this card I have?  How do I get it to work in my
Apple ][?"
  To answer these questions I started this project in an
attempt to compile a list of all the cards, chips, drives,
etc. that we can use to expand our Apple ][s.  It is a very
large list.
  This document has two major sections.  An information and
description section, and a detailed data section.

  Thanks for the wonderful responses to the posts for the
A2Xpansion FAQ last fall.  I have included in some form all
suggestions that were posted in the comp.sys.apple2
newsgroup, and those sent to me via e-mail.
  I was not able to respond to everyone who provided
comments, but I am making a list of all who help and will
include it in the first non-draft version.  This has been a
most rewarding experience to date and I hope my time away
has not killed the enthusiasm.

  I would like to expand the circulation of this document.
Anyone who is willing to post this to the commercial online
services that still have Apple II forums (ie. Genie), and to
the appropriate feeds on the major BBS networks (ie. Future
Vision, Proline), please email me.  Please DO NOT cross post
on your own.  These documents are large enough that we don't
want to waste space or annoy anyone with multiple posts.  I
would like to coordinate the volunteers.

  I will be making an HTML version for general distribution
when the document is ready.  When it is ready I will make
the source files available to everyone.  Until it is ready,
please be patient.

Please continue the comments.  I have thick skin, please
don't worry about upsetting me.  If sentence, phrase, or
word choice is confusing or wrong, please let me know.  I
have no preconceived notion that I "know it all".  Actually,
I am a little in shock at the diversity of expansion options
I have encountered this far, and I know I have only started
to scratch the surface.   I thought that I knew Apple ][
computers!

I have marked some sections with *** in the first three
character positions to identify items that I need additional
expert comment on.  These are areas where my knowledge is
very thin.
Enough chat.  Here is the A2Xpansion FAQ.

*** Objectives for the next draft:

1.  To finalize the detailed data Content Format for
specialized information needed for some categories.  [i.e.-
RAM Expansion: Chip specifics: speed (ns), type (4164,
41256, SIMM), etc]

2.  Enhance the information descriptions for the Categories
and Sub-categories.  The included descriptions are draft,
and some are very weak.  I have little experience with some
of the categories (like sound cards,) and I need some
specialized help.

3.  To get volunteers for specialized CONTENT FORMAT data.
(see Part 2) I don't have access to most of these items or
their documentation.  Later I will ask for the actual data.
(see item 5 below)  At that time I will need to have
detailed content data.  If you have a card you are familiar
with, or have the documentation for, I would appreciate the
help.

4.  To get volunteers for specialized PRESENTATION data.
Several people have suggested that we gather as many
digitized images of as many cards as possible in GIF format
(initially).  Also, it has been suggested that ASCII art
representations be made to aid those without the means of
viewing images.  Both would be valuable for an HTML version
of this document, as they would allow both GUI and ASCII
browser support.
If anyone can digitize images, or has a talent for ASCII
art, let me know.  Later in this project I plan on asking
for photos of cards (on white backgrounds) that I can send
on to get digitized or ASCIIed.  That is unless you can do
this yourself for the cards you own.  The creators of images
and ASCII art will retain the copyright for those images and
artwork, and will be cited within the document as being
copyright holders.

5.  Begin the collection of data, starting with Floppy Drive
Controllers (see Part 2).

General Questions:

1. There was a slot expander for the Laser clones.  Was
there a slot expander for the (non-clone) Apple II line?

2clones in detail.  I will provide as much support, and share
any information with anyone who attempts this.  Any takers?

3.  Since most (all?) floppy controllers fall into the
Non-SCSI device controller category, should they (floppy and
non-scsi) be merged into one category?

That's enough for this draft.  Part 2 follows in a separate
post.

Apple ][ Forever!

Deven D. Atkinson
<[email-masked]>

_,.-'~'-.,_,.-'~'-.,_,.-'~'-.,_,.-'~'-.,_,.-'~'-.,_,.-'~'-.,

1   General Information

1.1   Publication

  This document has two major sections.  An information and
description section, and a detailed data section.

+++++++++++++++++++++++++++++++++++++

Expansion Category Information and Description

  This section provides a detailed table for the information
contained in the data section (see A2Xpansion FAQ - Part 2).
The descriptions in this section should allow the reader to
quickly obtain the information that they wish to obtain.

I.  STORAGE MEDIA
    This section contains the list of any of the relatively
permanent forms of medium used in storing data and programs.

  A.  Floppy Disk Controllers
      Floppy disks are probably the most common forms of
storage media.  This section focuses on the controllers used
to operate these devices.  Individual drive units/mechanisms
that operate with a particular card will be listed with the
data for that card.  Media size, physical size and storage
capacity will be included with the data where appropriate.

    1.  Sta    2.  MFM
    3.  IDE (are there floppy controllers for IDE?)
    4.  Other

  B.  Non-SCSI Device Controllers
      Before the advent of the Hard Drive interface
standards, several interface methods were used.  These
methods usually tie one brand of Hard Disk, and sometimes
individual models of Hard Disks to a particular controller
card.  Additionally, hard drive standards normally
considered foreign to the Apple II line have been developed.

    1.  IDE
    2.  SASI
    3.  Unique
          a. Profile (e.g.)
    4.  Hard Cards
          a. FOCUS (e.g.)

  C.  SCSI Device Controllers
      With the creation of the SCSI interface standard,
controllers were developed that would allow Apple IIs to use
devices that adhered to this standard.  The SCSI standard
has been enhanced over time, and some newer SCSI devices
will not work with some of the older SCSI controllers.

    1.  SCSI
*** 2.  Are there SCSI-2 or 3 compatible controllers???

  D.  Cassette Tape Storage
***   Okay, here is an opportunity for someone to show their
real dedication to this machine.  Who remembers the cassette
interfThe only time I saw a cassette being used was for the demo
of a sound digitizer program that took input via the
cassette port.  Are there any other uses for this port other
than hooking a cassette recorder up to it?

II.  RAM EXPANSION
***  I think I have decided to break this category out by
the physical connection type.  The methodology used to
implement the RAM (bank-switched, slinky, ?) will be listed
as internal data.  It is obvious need to be cross-referenced heavily to allow ease of lookup
via Apple II model, etc.)

   A. Standard Slot
        1. Language Card
        2. Slinky
   B. //e Auxiliary Slot
        1. 80-column card
        2. 64k card
        3. Bank-switched card
   C. //gs RAM Slot
   D. //c RAM Slot
   E. //c chip based

III. ROM cards

    1. Apple Language
       a. Applesoft ROM
       b. Integer BASIC ROM

IV.  VIDEO
    1. RGB
    2. VGA
    3. Standard Slot 80 column
    4. //e Aux Slot RAM/Video Firmware explained
    5. Other

V.   INPUT/OUTPUT
  A. Serial Interface Cards
    1. Apple SSC
  B. Parallel Interface Cards
    1. Grappler
  C. Modem Cards
    1. AE DataLink 2400
  D. User interface peripherals
     {connector type will be included in the data}
    1. Mouse
    2. Trackball
    3. Pen/Pad
    4. Keypads
       a. Intellikeys
       b. Numeric
    5. ABD Devices
  E. Sound Cards
    1. GS Stereo
    2. Mockingboard
    3. MIDI
    (cross reference to speech cards)
  F. Speech Cards
    1. Echo
    2. Other
  G. Scanner Cards
     Video source and Paper source
  H. Switches (like the cards for X10, and the various cards
with just a lot of toggles on them, etc.)
  I. AD/DA converters

VI. Multi-function Cards  (each will be cross referenced
with the categories for the individual functions.
    1. AST Multi I/O -serial, parallel, and clock

VII. Network Cards
    1. //e Workstation card

VIII. Accelerator Cards/Chips
    1. 8-Bit
       a. AE Transwarp
       b. ZIP Chip
    2. 16-Bit
       a. AE Transwarp GS
       b. ZIPgs (will have appropriate reference to the
existing FAQ on this accelerator.  No need to duplicate
effort.)

IX.  Coprocessor Boards
  A. Z-80
    1. Microsoft SoftCard
  B. PC compatible
    1. AE PC Transporter
  C. 6809
    1.  D. Math Coprocessors
  E. Other

X.  Clock cards/chips
    1. AE Timemaster HO
    2. No Slot Clock

XI. Controller cards
    1. EPROM Programmer/burner
*** 2. IEEE488  (is this really just an AD/DA card?)

XII. Other
  For the stuff that does something else entirely again :)
     1. Apple //e Enhanced chipset expansion
     2. //e to //gs upgrade.
     3. Machines that hold Apple II's in a slot ;)
        a. Macintosh LC series and compatibles (Apple //e
           PDS card)
        b. PC compatibles (Trackstar?)
     4. Diagnostic support
     5. Development/debugging support
        a. Programmer Toolkit ROM
     6. NMI Copy Cards.
        a. EDD?
        b. Wildcard?
     7. Unique Items
          Reference to a section on RARE/Very Limited
Distribution items, and those that have been built by our
peers (ie. Buggie Power Supply).  It would be great if we
could reference instructions on how to build some of these
useful items.  (hint, hint, yet again :)

XIII. Specific Use (i.e.: hardware)
     THIS IS BEING REPLACED BY AN INDEX
     The card description will be in the above categories.
When the index is developed, care will be taken to include
those items that have specific use, I.E. Silentwriter,
Profile, etc.

Deven D. Atkinson
<[email-masked]>

--
Kind Regards,
Deven D. Atkinson
[email-masked]     <*>
Path: news.uiowa.edu!news.physics.uiowa.edu!math.ohio-state.edu!howland.erols.net!vixen.cso.uiuc.edu!prairienet.org!technoid
From: [email-masked] (Deven D. Atkinson)
Newsgroups: comp.sys.apple2
Subject: CFC: A2Xpansion FAQ v0.2.1 (2 of 2)
Date: 11 Oct 1996 01:46:50 GMT
Organization: University of Illinois at Urbana
Lines: 94
Message-ID: <[email-masked]>
Reply-To: [email-masked] (Deven D. Atkinson)
NNTP-Posting-Host: bluestem.prairienet.org

APPLE II EXPANSION, FREQUENTLY ASKED QUESTIONS
Version 0.2.1  **DRAFT**
10 October 1996

Part 2 of 2 - Detailed Data

Compiled by:  Deven D. Atkinson  ([email-masked])

1. Definition and Layout of data content.

A. BASIC INFORMATION
Name:                 [Full Name]
Manufacturer:         [Them who made it]
Production Date(s):   [Date (range) item was produced]
Apple ][ model(s):    [List all models it works on]
Connection:           [slot, chip, (m)other card, port, ?]
Compatible Hardware:  [List of hardware that can be
                         connected to this card]
Power needs:          [internal consumption, external source
                         requirements]
Physical Description: [includes:
                         Printing on item, words, dates, etc
                         Size/Space needs
                         Prominent chips
                         Connectors/Cables
                         DIPs
                         Jumpers
                         Other distinguishing features]
Included Documentation:[Manuals, etc. shipped with item]
Included Software:    [Software shipped with item]
Other Software:       [Comparable to Included Software but
not shipped with item]
Use Narrative:        [What item is used for]
Compatible Software:  [Location of a list of actual or type
                         of software that is compatible with
                         the use provided by the item.]
Graphic Location:     [ASCII graphic or GIF image (name of
                         txt and/or bin file?)]
Detailed Information: [List of detailed information about
the
                         item, should include DIP, jumper
                         setting definitions.
Availability:         [Manufacturer address or other retail
                         availability and addresses, if
any.]

***
B. CATEGORY SPECIFIC INFORMATION
What detailed, specific information is needed for each of
the categories (listed in Part 1 of this FAQ)?
[i.e.- RAM Expansion: Chip specifications-
         what chip types are compatible (4164, 41256, SIMM)
         what are the minimum/maximum speeds (ns) required
         and etc.]

2.  Detailed Data

***  Okay we need to start listing the actual cards.  Let's
start with floppy drive controllers first.  In later drafts
we will get to the other categories listed in part 1.

To kick things off my //e's have the following cards that I
will provide the detailed data for:

I.  STORAGE MEDIA
  A.  Floppy Disk Controllers
    1.  Standard Apple and compatibles

      a. Disk II Interface card
      b. UniDisk 5.25
      c. UniDisk 3.5

What other standard floppy controllers are there, and who
wants to provide the detailed data for them?
And how about non-Apple/compatible cards?

    2.  MFM
    3.  IDE?
    4.  Other

That's it!  Please add to the outline with floppy drive
controllers you are familiar with.

Thanks!

Deven D. Atkinson
[email-masked]

--
Kind Regards,
Deven D. Atkinson
[email-masked]     <*>